import { BaseProvider } from '#templates/base/provider';
import { SchemaMigration } from '#models/SchemaMigration';

export class SchemaMigrationProvider extends BaseProvider<SchemaMigration> {
	public static instance: SchemaMigrationProvider;

	public static getInstance(): SchemaMigrationProvider {
		SchemaMigrationProvider.instance ??= new SchemaMigrationProvider();
		return SchemaMigrationProvider.instance;
	}

	public static get model() {
		return SchemaMigration;
	}

	constructor() {
		super('SchemaMigration');
	}
}
